%define		apiver	2.48

%define	cairomm_ver	1.15.1
%define	glibmm_ver	2.68.0
%define	pango_ver	1:1.45.1
Summary:	A C++ interface for pango library
Summary(pl.UTF-8):	Interfejs C++ dla biblioteki pango
Name:		pangomm2.48
Version:	2.48.1
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	https://download.gnome.org/sources/pangomm/2.48/pangomm-%{version}.tar.xz
# Source0-md5:	fe660fd36d8c56ccf5c35133431b08b8
URL:		https://www.gtkmm.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.11
BuildRequires:	doxygen >= 1:1.8.9
BuildRequires:	cairomm1.16-devel >= %{cairomm_ver}
BuildRequires:	glibmm2.68-devel >= %{glibmm_ver}
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	libtool >= 2:2.0
BuildRequires:	mm-common >= 0.9.12
BuildRequires:	pango-devel >= %{pango_ver}
BuildRequires:	perl-base >= 1:5.6.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	cairomm1.16 >= %{cairomm_ver}
Requires:	glibmm2.68 >= %{glibmm_ver}
Requires:	pango >= %{pango_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A C++ interface for pango library.

%description -l pl.UTF-8
Interfejs C++ dla biblioteki pango.

%package devel
Summary:	Header files for pangomm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki pangomm
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairomm1.16-devel >= %{cairomm_ver}
Requires:	glibmm2.68-devel >= %{glibmm_ver}
Requires:	libstdc++-devel >= 6:7
Requires:	pango-devel >= %{pango_ver}

%description devel
Header files for pangomm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki pangomm.

%package static
Summary:	Static pangomm library
Summary(pl.UTF-8):	Statyczna biblioteka pangomm
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static pangomm library.

%description static -l pl.UTF-8
Statyczna biblioteka pangomm.

%package apidocs
Summary:	pangomm library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki pangomm
Group:		Documentation
Requires:	devhelp
BuildArch:	noarch

%description apidocs
pangomm library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki pangomm.

%prep
%setup -q -n pangomm-%{version}

%build
mm-common-prepare --copy --force
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-maintainer-mode \
	--disable-silent-rules \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libpangomm-%{apiver}.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpangomm-%{apiver}.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpangomm-%{apiver}.so
%{_includedir}/pangomm-%{apiver}
%{_libdir}/pangomm-%{apiver}
%{_pkgconfigdir}/pangomm-%{apiver}.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libpangomm-%{apiver}.a

%files apidocs
%defattr(644,root,root,755)
%{_docdir}/pangomm-%{apiver}
%{_datadir}/devhelp/books/pangomm-%{apiver}
%changelog
* Sat May 22 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pangomm2.48.git;a=log;h=master

* Sat May 22 2021 Jakub Bogusz <qboosh@pld-linux.org> ca6c597
- updated to 2.48.1

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 553b8a2
- unconditional noarch subpackages

* Sun Dec 20 2020 Jakub Bogusz <qboosh@pld-linux.org> 5fc063e
- updated to 2.48.0 as pangomm2.48 (C++17/glibmm2.68/cairomm1.16 based, parallel installable with pangomm-1.4 API series)

* Mon Dec 14 2020 Jakub Bogusz <qboosh@pld-linux.org> a3795c9
- updated to 2.42.2

* Tue Apr 07 2020 Jakub Bogusz <qboosh@pld-linux.org> daa7492
- updated to 2.42.1

* Tue Nov 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 20259a5
- updated to 2.42.0

* Mon Sep 05 2016 Jakub Bogusz <qboosh@pld-linux.org> b537c53
- updated to 2.40.1

* Sat Jun 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 4200de2
- updated to 2.40.0

* Tue Sep 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 6ab13cf
- updated to 2.38.1

* Mon Mar 30 2015 Łukasz Kieś <kiesiu@pld-linux.org> d0a5a92
- updated to 2.36.0

* Sun Mar 01 2015 Jan Rękorajski <baggins@pld-linux.org> fb92bfb
- x32 rebuild
- release 3 (by relup.sh)

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 82a3560
- noarch apidocs

* Thu Apr 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 70909d5
- updated to 2.34.0

* Wed Oct 26 2011 Jakub Bogusz <qboosh@pld-linux.org> d8ac19b
- updated libtool version

* Wed Oct 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 8790133
- updated to 2.28.4

* Fri Sep 30 2011 Artur Frysiak <artur@frysiak.net> af88fe1
- up to 2.28.3

* Mon May 02 2011 Jakub Bogusz <qboosh@pld-linux.org> c7c94f0
- consistent glibmm deps

* Fri Apr 01 2011 lisu <lisu@pld-linux.org> d22797a
- 2.28.2
- mm-common >= 0.9.5 required

* Mon Mar 28 2011 lisu <lisu@pld-linux.org> 6e50e10
- up to 2.28.1

* Thu Mar 24 2011 Artur Frysiak <artur@frysiak.net> b780a63
- up to 2.28.0 (merged from DEVEL)

